
<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/dudor/BookmarkHub">
    <img src="images/icon128.png" alt="BookmarkHub" >
  </a>

  <h1 align="center">BookmarkHub</h1>
  <p align="center">
    BookmarkHub 是一款浏览器插件，可以在不同浏览器之间同步你的书签。
    <br />
    <a href="https://github.com/dudor/BookmarkHub/issues">反馈问题</a>
    ·
    <a href="/README_cn.md">简体中文</a>
    ·
    <a href="/README.md">English</a>
  </p>
</p>

<!-- TABLE OF CONTENTS -->
<details open="open">
  <summary><h2 style="display: inline-block">目录</h2></summary>
  <ol>
    <li><a href="#关于">关于</a></li>
    <li><a href="#功能">功能</a></li>
    <li><a href="#下载安装">下载安装</a></li>
    <li><a href="#使用方法">使用方法</a></li>
    <li><a href="#待实现的功能">待实现的功能</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
  </ol>
</details>

<!-- ABOUT THE PROJECT -->
## 关于 

BookmarkHub 是一款浏览器插件，可以在不同浏览器之间同步你的书签。

适用于各大主流浏览器，如 Chrome、Firefox、Microsoft Edge 等。

它使用 GitHub 的 Gist 记录来存储浏览器的书签，可以放心安全的使用。

![BookmarkHub](images/3.gif)

![BookmarkHub](images/1.png)

![BookmarkHub](images/2.png)

## 功能
* 不需要注册特殊账号，只需要用你的 GitHub 账号的Token和Gist
* 一键上传下载书签
* 一键清空本地所有书签
* 支持跨电脑跨浏览器同步书签
* 支持显示本地和远程书签的数量

## 下载安装
> 本插件需要把书签存储到 Gist 中，所以请确保有 GitHub 账号或可以通过网络注册 GitHub 账号。
* [Chrome 浏览器](https://chrome.google.com/webstore/detail/BookmarkHub-sync-bookmark/fohimdklhhcpcnpmmichieidclgfdmol)
* [Firefox 浏览器](https://addons.mozilla.org/zh-CN/firefox/addon/BookmarkHub/)
* [Microsoft Edge 浏览器](https://microsoftedge.microsoft.com/addons/detail/BookmarkHub/fdnmfpogadcljhecfhdikdecbkggfmgk)
* Opera 浏览器
* 其他基于 Chromium 内核的浏览器

<!-- USAGE EXAMPLES -->
## 使用方法

1. [登陆](https://github.com/login) GitHub，如果没有账号请点此[注册](https://github.com/join)。
2. [创建一个可以管理 gist 的 token](https://github.com/settings/tokens/new)。
3. [创建一个私有的 gist](https://gist.github.com)。__注意：如果是公开的 gist，你的书签是可以被他人搜索到的。__
4. 在浏览器的应用商店下载 BookmarkHub，点击插件的设置按钮，在弹出的设置窗口填入 token 和 gist ID，然后你就可以上传下载书签了。

<!-- ROADMAP -->
## 待实现的功能

- [ ] 自动同步书签
- [ ] 支持 webdav 协议
- [ ] 移动端
- [ ] 导入导出
- [ ] 分享书签


<!-- LICENSE -->
## License

See `LICENSE` for more information.

<!-- CONTACT -->
## Contact

dudor

Project Link: [https://github.com/dudor/BookmarkHub](https://github.com/dudor/BookmarkHub)



